FWBUILD_DIR=fwbuild-0.4
FWBUILD_ARCHIVE=$(FWBUILD_DIR).tgz

FW_BUILD_BIN=$(FWBUILD_DIR)/fwbuild

.PHONY: fwbuild

fwbuild:	$(FWBUILD_DIR)/.built

$(FWBUILD_DIR)/.unpacked:	$(FWBUILD_ARCHIVE)
	tar -xzvf $(FWBUILD_ARCHIVE)
	touch $(FWBUILD_DIR)/.unpacked

$(FWBUILD_DIR)/.patched:	$(FWBUILD_DIR)/.unpacked
	touch $(FWBUILD_DIR)/.patched

$(FWBUILD_DIR)/.configured:	$(FWBUILD_DIR)/.patched
	touch $(FWBUILD_DIR)/.configured

$(FWBUILD_DIR)/.built:	$(FWBUILD_DIR)/.configured
	( cd $(FWBUILD_DIR) ; make )
	touch $(FWBUILD_DIR)/.built
	
CLEAN_ALL+=clean_fwbuild

clean_fwbuild:
	-( cd $(FWBUILD_DIR) ; make clean )
	rm -f $(FWBUILD_DIR)/.built

clobber_fwbuild:
	rm -rf $(FWBUILD_DIR)
